* [Buildroot] [PATCH] dependencies: ensure that DESTDIR isn't set when running Buildroot
@ 2012-06-29 10:14 Thomas Petazzoni
2012-06-30 12:53 ` Arnout Vandecappelle
2012-06-30 21:53 ` Peter Korsgaard
0 siblings, 2 replies; 3+ messages in thread
From: Thomas Petazzoni @ 2012-06-29 10:14 UTC (permalink / raw)
To: buildroot
Having DESTDIR set in the environment before running Buildroot creates
some funky problems in the build process. Prevent users from running
into this kind of troubles.
Cc: Michael Opdenacker <michael.opdenacker@free-electrons.com>
Signed-off-by: Thomas Petazzoni <thomas.petazzoni@free-electrons.com>
---
support/dependencies/dependencies.sh | 6 ++++++
1 file changed, 6 insertions(+)
diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
index c47ffcf..43ec3cc 100755
--- a/support/dependencies/dependencies.sh
+++ b/support/dependencies/dependencies.sh
@@ -48,6 +48,12 @@ if test -n "$PERL_MM_OPT" ; then
exit 1
fi
+if test -n "$DESTDIR" ; then
+ /bin/echo -e "\nYou have the DESTDIR environment variable set. Please"
+ /bin/echo -e "unset it so that Buildroot can work properly."
+ exit 1
+fi
+
# Verify that which is installed
if ! which which > /dev/null ; then
/bin/echo -e "\nYou must install 'which' on your build machine\n";
--
1.7.9.5
^ permalink raw reply related [flat|nested] 3+ messages in thread
* [Buildroot] [PATCH] dependencies: ensure that DESTDIR isn't set when running Buildroot
2012-06-29 10:14 [Buildroot] [PATCH] dependencies: ensure that DESTDIR isn't set when running Buildroot Thomas Petazzoni
@ 2012-06-30 12:53 ` Arnout Vandecappelle
2012-06-30 21:53 ` Peter Korsgaard
1 sibling, 0 replies; 3+ messages in thread
From: Arnout Vandecappelle @ 2012-06-30 12:53 UTC (permalink / raw)
To: buildroot
On 06/29/12 12:14, Thomas Petazzoni wrote:
> Having DESTDIR set in the environment before running Buildroot creates
> some funky problems in the build process. Prevent users from running
> into this kind of troubles.
>
> Cc: Michael Opdenacker<michael.opdenacker@free-electrons.com>
> Signed-off-by: Thomas Petazzoni<thomas.petazzoni@free-electrons.com>
> ---
> support/dependencies/dependencies.sh | 6 ++++++
> 1 file changed, 6 insertions(+)
>
> diff --git a/support/dependencies/dependencies.sh b/support/dependencies/dependencies.sh
> index c47ffcf..43ec3cc 100755
> --- a/support/dependencies/dependencies.sh
> +++ b/support/dependencies/dependencies.sh
> @@ -48,6 +48,12 @@ if test -n "$PERL_MM_OPT" ; then
> exit 1
> fi
>
> +if test -n "$DESTDIR" ; then
> + /bin/echo -e "\nYou have the DESTDIR environment variable set. Please"
> + /bin/echo -e "unset it so that Buildroot can work properly."
> + exit 1
> +fi
Why not just override and export DESTDIR from the top-level Makefile?
Regards,
Arnout
> +
> # Verify that which is installed
> if ! which which> /dev/null ; then
> /bin/echo -e "\nYou must install 'which' on your build machine\n";
--
Arnout Vandecappelle arnout at mind be
Senior Embedded Software Architect +32-16-286540
Essensium/Mind http://www.mind.be
G.Geenslaan 9, 3001 Leuven, Belgium BE 872 984 063 RPR Leuven
LinkedIn profile: http://www.linkedin.com/in/arnoutvandecappelle
GPG fingerprint: 7CB5 E4CC 6C2E EFD4 6E3D A754 F963 ECAB 2450 2F1F
^ permalink raw reply [flat|nested] 3+ messages in thread
* [Buildroot] [PATCH] dependencies: ensure that DESTDIR isn't set when running Buildroot
2012-06-29 10:14 [Buildroot] [PATCH] dependencies: ensure that DESTDIR isn't set when running Buildroot Thomas Petazzoni
2012-06-30 12:53 ` Arnout Vandecappelle
@ 2012-06-30 21:53 ` Peter Korsgaard
1 sibling, 0 replies; 3+ messages in thread
From: Peter Korsgaard @ 2012-06-30 21:53 UTC (permalink / raw)
To: buildroot
>>>>> "Thomas" == Thomas Petazzoni <thomas.petazzoni@free-electrons.com> writes:
Thomas> Having DESTDIR set in the environment before running Buildroot creates
Thomas> some funky problems in the build process. Prevent users from running
Thomas> into this kind of troubles.
Committed, thanks.
--
Bye, Peter Korsgaard
^ permalink raw reply [flat|nested] 3+ messages in thread
end of thread, other threads:[~2012-06-30 21:53 UTC | newest]
Thread overview: 3+ messages (download: mbox.gz follow: Atom feed
-- links below jump to the message on this page --
2012-06-29 10:14 [Buildroot] [PATCH] dependencies: ensure that DESTDIR isn't set when running Buildroot Thomas Petazzoni
2012-06-30 12:53 ` Arnout Vandecappelle
2012-06-30 21:53 ` Peter Korsgaard
This is a public inbox, see mirroring instructions
for how to clone and mirror all data and code used for this inbox